ifname<- "DataAgonist.csv"
alldata <- read.delim(ifname, row.names=1, header=T, sep=",", as.is=TRUE, strip.white=FALSE)
#[1]-----Multiple regression analysis
mRegression<-lm(y~.,data=alldata)
summary(mRegression)
#[2]-----Correlation matrix
CD<-cor(alldata)
CD
#[3]-----Variance inflation factor & tolerance
num <- dim(alldata)[2]
diag(solve(cor(alldata[2:num]))); 1/diag(solve(cor(alldata[2:num])))